## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check

%global crate sequoia-policy-config

Name:           rust-sequoia-policy-config
Version:        0.5.0
Release:        %autorelease
Summary:        Configure Sequoia using a configuration file

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-policy-config
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          sequoia-policy-config-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * default to the nettle crypto backend of sequoia-openpgp
Patch:          sequoia-policy-config-fix-metadata.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
Configure Sequoia using a configuration file.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# BSL-1.0
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        LGPL-3.0 AND BSL-1.0 AND MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sequoia-policy-config-check

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Nov 23 2022 Fabio Valentini <decathorpe@gmail.com> 0.5.0-1
- Update to version 0.5.0; Fixes RHBZ#2145245

* Mon Nov 14 2022 Fabio Valentini <decathorpe@gmail.com> 0.4.0-1
- Update to version 0.4.0

* Mon Nov 14 2022 Fabio Valentini <decathorpe@gmail.com> 0.3.0-1
- Initial import (#2138445)
